#ifndef __KALMAN__FILTER__H
#define __KALMAN__FILTER__H

#include <tf/transform_datatypes.h>

#include <vector>


class KalmanFilter
{
protected:
    tf::Pose                    m_last_pose;
    
public:
    KalmanFilter();
    tf::Pose filter(tf::Pose pose1,tf::Pose pose2);
};

#endif